version: '3.7'

services:
  {{ PGADMIN_SERVICE_NAME }}:
    image: {{ PGADMIN_IMAGE }} #dpage/pgadmin4
    environment:
      PGADMIN_DEFAULT_EMAIL: {{ PGADMIN_EMAIL }}
      PGADMIN_DEFAULT_PASSWORD: {{ PGADMIN_PASSWORD }}
    ports:
      - "{{ PGADMIN_EXPOSE_PORT }}:80"
    volumes:
      - "{{ PGADMIN_VOLUME }}:/var/lib/pgadmin"
    networks:
      - "{{ PGADMIN_NETWORK }}"
    restart: always #unless-stopped

  {{ WEBAPP_SERVICE_NAME }}:
    image: {{ WEBAPP_IMAGE }}
    depends_on:
      - {{ PGADMIN_SERVICE_NAME }}
    ports:
      - "{{ WEBAPP_EXPOSE_PORT }}:8080"
    networks:
      - "{{ PGADMIN_NETWORK }}"

volumes:
  {{ PGADMIN_VOLUME }}:

networks:
  {{ PGADMIN_NETWORK }}:
    driver: bridge